package cn.sh.stc.sict.theme.hphy.controller.mp;

import cn.sh.stc.sict.cloud.common.core.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author F_xh
 */
@Slf4j
@RestController
@RequestMapping("/c/appointment")
@Api(tags = "[C]预约挂号管理")
public class AppointmentController {

    @ApiOperation("预约")
    @PostMapping("/app")
    public R appointment(){


        return new R();
    }


    @ApiOperation("取消预约")
    @PostMapping("/cancel/app")
    public R cancelAppointment(){

        return new R();
    }


    @ApiOperation("预约列表")
    @GetMapping("/app/list")
    public R appList(){

        return new R();
    }

    @ApiOperation("预约详情")
    @GetMapping("/app/info")
    public R appInfo(){

        return new R();
    }
}
